## EMenuBar

EMenuBar

## Functions

EMenuBar * | e_menu_bar_new ()
gboolean | e_menu_bar_get_visible ()
void | e_menu_bar_set_visible ()

## Properties

gboolean | visible | Read / Write

## Object Hierarchy

        GObject
        ╰── EMenuBar

## Description

## Functions

### e_menu_bar_new ()

    EMenuBar *
    e_menu_bar_new (GtkMenuBar *widget,
                    GtkWindow *window,
                    GtkWidget **out_menu_button);

Creates a new EMenuBar showing `inner_menu_bar` on demand. The `out_menu_button` is set to a menu button, which should be placed into the window's header bar. The menu button is shown when the menu bar is hidden.

#### Parameters

inner_menu_bar | GtkMenuBar to handle |
window | monitor GtkWindow for <Alt> key event |
out_menu_button | an output argument to set the menu button instance to, or `NULL`. | [out][optional][transfer full]

#### Returns

a new EMenuBar.

[transfer full]

Since: 3.46

### e_menu_bar_get_visible ()

    gboolean
    e_menu_bar_get_visible (EMenuBar *menu_bar);

Determines whether the inner menu bar is visible.

#### Parameters

self | an EMenuBar |

#### Returns

`TRUE` if the inner menu bar is visible

Since: 3.46

### e_menu_bar_set_visible ()

    void
    e_menu_bar_set_visible (EMenuBar *menu_bar,
                            gboolean visible);

Sets the visibility state of the inner menu bar.

#### Parameters

self | an EMenuBar |
visible | whether the inner menu bar should be shown or not |

Since: 3.46

## Property Details

### The `“visible”` property

      “visible”                  gboolean

Inner menubar visible.

Owner: EMenuBar

Flags: Read / Write

Default value: FALSE